Package ru.bitel.bgbilling.modules.assist.common.bean

# Enum AssistStatus

java.lang.Object
java.lang.Enum<AssistStatus>
ru.bitel.bgbilling.modules.assist.common.bean.AssistStatus

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AssistStatus>`, `java.lang.constant.Constable`, `ListItem`

    public enum AssistStatus
    extends java.lang.Enum<AssistStatus>
    implements ListItem

Статусы платежей в нашей системе: NEW (1), OK (2), FAIL (4).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FAIL` |
  `NEW` |
  `OK` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCode()` | Код для сохранения в базе.
  `int` | `getId()` |
  `static int` | `getMaskFromStatusList​(java.lang.String list)` | Преобразование списка статусов (через запятую) в маску - объединение чисел-кодов статусов.
  `java.lang.String` | `getTitle()` | Заголовок статуса, для отображения пользователю.
  `static AssistStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static AssistStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final AssistStatus NEW

  - ### OK

    public static final AssistStatus OK

  - ### FAIL

    public static final AssistStatus FAIL

- ## Method Details

  - ### values

    public static AssistStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AssistStatus valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()
    Код для сохранения в базе. Для передачи меж клиентом и сервером итд чаще используется текстовое обозначение енум-константы.

  - ### getTitle

    public java.lang.String getTitle()
    Заголовок статуса, для отображения пользователю.
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### getMaskFromStatusList

    public static int getMaskFromStatusList​(java.lang.String list)
    Преобразование списка статусов (через запятую) в маску - объединение чисел-кодов статусов.
    Parameters:
      `list` - строка значений енума, через запятую ("OK,FAIL")
    Returns:
      число (маска статусов)